cmake_minimum_required(VERSION 3.25)

project(Portfolio VERSION 1.0)

set(CMAKE_CXX_STANDARD 26)
set(CMAKE_CXX_FLAGS "-g")

if(NOT DEBUG_SET)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3")
endif()

message("Using cmake flags: ${CMAKE_CXX_FLAGS}")

include(src/CMakeLists.txt)
add_executable(Portfolio ${SOURCES})

target_link_libraries(Portfolio PUBLIC stdc++ jsoncpp)

